From johnpol@2ka.mipt.ru Thu Aug 11 07:05:06 2005
From: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Subject: w1: Decreased debug level.
Date: Thu, 11 Aug 2005 17:27:50 +0400
Message-Id: <1123766870231@2ka.mipt.ru>
To: GregKH <greg@kroah.com>


Signed-off-by: Evgeniy Polyakov <johnpol@2ka.mipt.ru>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/w1/w1.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

--- gregkh-2.6.orig/drivers/w1/w1.c	2005-08-12 14:14:41.000000000 -0700
+++ gregkh-2.6/drivers/w1/w1.c	2005-08-12 14:14:43.000000000 -0700
@@ -527,8 +527,6 @@
 	msg.type = W1_SLAVE_ADD;
 	w1_netlink_send(dev, &msg);
 
-	dev_info(&dev->dev, "Finished %s for sl=%p.\n", __func__, sl);
-
 	return 0;
 }
 
@@ -536,7 +534,7 @@
 {
 	struct w1_netlink_msg msg;
 
-	dev_info(&sl->dev, "%s: detaching %s [%p].\n", __func__, sl->name, sl);
+	dev_dbg(&sl->dev, "%s: detaching %s [%p].\n", __func__, sl->name, sl);
 
 	list_del(&sl->w1_slave_entry);
 
@@ -579,7 +577,7 @@
 
 	spin_lock_bh(&w1_mlock);
 	list_for_each_entry(dev, &w1_masters, w1_master_entry) {
-		dev_info(&dev->dev, "Reconnecting slaves in %s into new family %02x.\n",
+		dev_dbg(&dev->dev, "Reconnecting slaves in %s into new family %02x.\n",
 				dev->name, f->fid);
 		set_bit(W1_MASTER_NEED_RECONNECT, &dev->flags);
 	}
@@ -768,7 +766,7 @@
 			}
 
 			if (test_bit(W1_MASTER_NEED_RECONNECT, &dev->flags)) {
-				dev_info(&dev->dev, "Reconnecting slaves in device %s.\n", dev->name);
+				dev_dbg(&dev->dev, "Reconnecting slaves in device %s.\n", dev->name);
 				down(&dev->mutex);
 				list_for_each_entry_safe(sl, sln, &dev->slist, w1_slave_entry) {
 					if (sl->family->fid == W1_FAMILY_DEFAULT) {
@@ -780,7 +778,7 @@
 						w1_attach_slave_device(dev, &rn);
 					}
 				}
-				dev_info(&dev->dev, "Reconnecting slaves in device %s has been finished.\n", dev->name);
+				dev_dbg(&dev->dev, "Reconnecting slaves in device %s has been finished.\n", dev->name);
 				clear_bit(W1_MASTER_NEED_RECONNECT, &dev->flags);
 				up(&dev->mutex);
 			}
